package de.heinerkuecker.statetransitionengine;


/**
 * exception for no double defined state . <br>
 * This class is an inheritance of RuntimeException,
 * because the states in an application normally be valid.
 *
 * <br/>
 * <b>Author:</b> <a href="http://www.heinerkuecker.de" target="_blank">Heiner Kcker</a>
 * <br/>
 *
 * @author Heiner Kcker
 * @version $Id$
 */
public class StateAlreadyDefinedException extends RuntimeException {

  /**
   * construtor with message parameter
   */
  public StateAlreadyDefinedException(String paStrMessage) {
    super(paStrMessage) ;
  }//end constructor

}//end class

