package de.heinerkuecker.statetransitionengine;


/**
 * exception for no unknown event . <br>
 * This class is an inheritance of RuntimeException,
 * because the events in an application normally be known.
 *
 * <br/>
 * <b>Author:</b> <a href="http://www.heinerkuecker.de" target="_blank">Heiner Kcker</a>
 * <br/>
 *
 * @author Heiner Kcker
 * @version $Id$
 */
public class UnknownEventException extends RuntimeException {

  /**
   * construtor with message parameter
   */
  public UnknownEventException(String paStrMessage) {
    super(paStrMessage) ;
  }
}//end class
