package de.heinerkuecker.statetransitionengine;


/**
 * exception invalid state transition engine . <br>
 * This class is an inheritance of RuntimeException,
 * because the state transition engine normally be valid.
 *
 * <br/>
 * <b>Author:</b> <a href="http://www.heinerkuecker.de" target="_blank">Heiner Kcker</a>
 * <br/>
 *
 * @author Heiner Kcker
 * @version $Id$
 */
public class StateTransitionEngineIsInvalidException extends RuntimeException {

  /**
   * construtor with message parameter
   */
  public StateTransitionEngineIsInvalidException(String paStrMessage) {
    super(paStrMessage) ;
  }//end constructor

}//end class

